Bug 1022241 - Turn off "Honor All Schema Locations" for XML validation in SwitchYard project preferences
Turn off "Honor All Schema Locations" for XML validation in SwitchYard projec...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER6
: ---
Assigned To: Rob Cernich
Andrej Podhradsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 15:56 EDT by Brian Fitzpatrick
Modified: 2014-06-16 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1779 Major Closed Turn off "Honor All Schema Locations" for XML validation in SwitchYard project preferences 2014-06-16 19:48:31 EDT

  None (edit)
Description Brian Fitzpatrick 2013-10-22 15:56:29 EDT
Description of problem:

When creating new SwitchYard projects, the user must always turn off "Honor All Schema Locations" in the XML preferences by hand for the project. Instead, we should flip this preference to false in the m2e configurator when the project is created.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-10-22 16:52:46 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1779

This came out of the usability review but has been an issue with the tooling for a while. We put the code to disable "Honour All Schema Locations" into the facet installation class so it gets triggered the first time a project is created (i.e. "New SwitchYard Project") and when it is imported (i.e. importing an existing project via the m2e import wizard in Eclipse). 

What happens is that the project's "Validation->XML Syntax" settings are updated to override the workbench-wide setting for Honor all Schema. "Enable Project Specific Settings" is checked and "Honor all XML schema locations" is unchecked. 

Note that if the facets have already been created, the change is not made. And note that if the "Honor all schema locations" box is unchecked in the workbench settings, the change is not made to the project settings.
Comment 3 JBoss JIRA Server 2013-10-24 23:06:27 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1779

pushed

i modified the test plugins to not disable this setting globally to test that the setting is being disabled for switchyard projects, which it is.
Comment 4 JBoss JIRA Server 2013-10-26 15:49:10 EDT
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-1779 to Reopened
Comment 5 JBoss JIRA Server 2013-10-26 15:49:10 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1779

Hey Brian,

Can you validate that this works when installed in JBT or JBDS?  I installed the latest SY into JBDS and was getting XML errors in the switchyard.xml file.  The setting is disabled in the project specific preferences, but enabled for the workspace.  The only way the errors go away is when I disable the workspace setting.  I'm not sure what the difference is between testing locally and testing when installed in JBDS.

Thanks in advance,
Rob
Comment 6 JBoss JIRA Server 2013-10-26 16:19:47 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1779

It appears the problem may be related to the XHTML validator contributed by the JSF tools.  Disabling the XHTML validator seems to make the problem go away.  I haven't investigated any further than this.
Comment 7 JBoss JIRA Server 2013-10-28 08:46:51 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1779

Huh. That's weird, but I can take a look.
Comment 8 JBoss JIRA Server 2013-10-28 10:33:32 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1779

Downloading the latest JBDS to check it out in a bit.
Comment 9 JBoss JIRA Server 2013-10-29 18:15:31 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1779

Created JBIDE-15819 to address the XHTML Validator problem from the JSF tools. 

Will create a new pull request to override the workbench-level "Honour all XML schema locations" setting for now and we can roll it back to a project level setting when it gets fixed.
Comment 10 JBoss JIRA Server 2013-10-29 18:45:47 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1779

Added new PR - https://github.com/jboss-switchyard/tools/pull/336 - to address issue with XHTML Validator (JBIDE-15819)
Comment 11 JBoss JIRA Server 2013-10-31 15:47:45 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1779

pushed second PR
Comment 12 JBoss JIRA Server 2013-11-08 15:59:07 EST
Victor Rubezhny <ruby@exadel.com> made a comment on jira SWITCHYARD-1779

Cannot log in to RH-bugzilla, so posting it here.

The switchyard1779.patch proposes the code I've used to test the fix for the issue [JBIDE-15819|https://issues.jboss.org/browse/JBIDE-15819].

This patch restores the project-level preferences to be used instead of workspace-level preferences and adds flushing of new preference values upon a project creation.

This patch return to is to be applied not earlier than the fix for [JBIDE-15819|https://issues.jboss.org/browse/JBIDE-15819] will be resolved.

Thanks again for a great catch!
Comment 13 JBoss JIRA Server 2013-11-08 15:59:42 EST
Victor Rubezhny <ruby@exadel.com> made a comment on jira SWITCHYARD-1779

Cannot log in to RH-bugzilla, so posting it here.

The switchyard1779.patch proposes the code I've used to test the fix for the issue [JBIDE-15819|https://issues.jboss.org/browse/JBIDE-15819].

This patch restores the project-level preferences to be used instead of workspace-level preferences and adds flushing of new preference values upon a project creation.

This patch is to be applied not earlier than the fix for [JBIDE-15819|https://issues.jboss.org/browse/JBIDE-15819] will be resolved.

Thanks again for a great catch!
Comment 14 Andrej Podhradsky 2013-12-18 11:55:47 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 15 JBoss JIRA Server 2014-06-16 19:48:31 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1779 to Closed

Note You need to log in before you can comment on or make changes to this bug.